Class | Rake::MakefileLoader
In: | lib/rake/loaders/makefile.rb
Parent: | Object

Makefile loader to be used with the import file loader.

### Methods

load

### Public Instance methods

load(fn)

Load the makefile dependencies in `fn`.

[Source]

        # File lib/rake/loaders/makefile.rb, line 9
     9:     def load(fn)
    10:       open(fn) do |mf|
    11:         lines = mf.read
    12:         lines.gsub!(/#[^\n]*\n/m, "")
    13:         lines.gsub!(/\\\n/, ' ')
    14:         lines.split("\n").each do |line|
    15:           process_line(line)
    16:         end
    17:       end
    18:     end

[Validate]